###
# ~~~~~~licensing~~~~~~
# entaxy-karaf
# ==========
# Copyright (C) 2020 - 2023 EmDev LLC
# ==========
# You may not use this file except in accordance with the License Terms of the Copyright
# Holder located at: https://entaxy.ru/eula . All copyrights, all intellectual property
# rights to the Software and any copies are the property of the Copyright Holder. Unless
# it is explicitly allowed the Copyright Holder, the User is prohibited from using the
# Software for commercial purposes to provide services to third parties.
# 
# The Copyright Holder hereby declares that the Software is provided on an "AS IS".
# Under no circumstances does the Copyright Holder guarantee or promise that the
# Software provided by him will be suitable or not suitable for the specific purposes
# of the User, that the Software will meet all commercial and personal subjective
# expectations of the User, that the Software will work properly, without technical
# errors, quickly and uninterruptedly.
# 
# Under no circumstances shall the Copyright Holder or its Affiliates is not liable
# to the User for any direct or indirect losses of the User, his expenses or actual
# damage, including, downtime; loss of bussines; lost profit; lost earnings; loss
# or damage to data, property, etc.
# ~~~~~~/licensing~~~~~~
###

#
# Don't delete bundles not present in cluster	
#
org.apache.karaf.cellar.cleanupResourcesNotPresentInCluster = false

#
# This node is member of the following cluster groups
#
groups = default

#
# The following properties define if the local event listeners (per resource)
# A local listener listens for local events (like bundle install, etc) and broadcast this state change to the cluster
#
bundle.listener = false
config.listener = false
feature.listener = false

#
# Cluster event producer
#
producer = true

#
# Cluster event consumer
#
consumer = true

#
# Cluster event handlers
#
# bundle event handler
handler.org.apache.karaf.cellar.bundle.BundleEventHandler = true
# config event handler
handler.org.apache.karaf.cellar.config.ConfigurationEventHandler = true
# feature event handler
handler.org.apache.karaf.cellar.features.FeaturesEventHandler = true
# DOSGi event handler
handler.org.apache.karaf.cellar.dosgi.RemoteServiceCallHandler = true
# OSGi event handler
handler.org.apache.karaf.cellar.event.ClusterEventHandler = true
# OBR event handler
handler.org.apache.karaf.cellar.obr.ObrBundleEventHandler = true
handler.org.apache.karaf.cellar.obr.ObrUrlEventHandler = true
# HTTP balancer event handler
handler.org.apache.karaf.cellar.http.balancer.BalancerEventHandler = true

#
# Excluded config properties from the sync
# Some config properties can be considered as local to a node, and should not be sync on the cluster.
#
config.excluded.properties = service.factoryPid, felix.fileinstall.filename, felix.fileinstall.dir, felix.fileinstall.tmpdir, org.ops4j.pax.url.mvn.defaultRepositories, org.ops4j.pax.url.mvn.repositories
